Bug 1450861 - Missing provides rubygem(rdiscount) on EPEL 7
Summary: Missing provides rubygem(rdiscount) on EPEL 7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: rubygem-rdiscount
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: greg.hellings
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-15 10:09 UTC by František Dvořák
Modified: 2017-06-01 10:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-01 10:31:53 UTC


Attachments (Terms of Use)

Description František Dvořák 2017-05-15 10:09:07 UTC
Description of problem:

Since recent update there is missing provides rubygem(rdiscount) in EPEL. This is autogenerated on Fedora, but not on EPEL 7.

Version-Release number of selected component (if applicable):

2.1.8-1.el7


How reproducible:

always


Steps to Reproduce:

 yum install -y 'rubygem(rdiscount)'


Actual results:

No package rubygem(rdiscount) available.


Expected results:

Installed:
  rubygem-rdiscount.x86_64 0:2.1.8-1.el7


Additional info:

Found by Koshei:
* https://apps.fedoraproject.org/koschei/package/rubygem-tilt?collection=epel7

Note, if there is preferred the same packaging on epel7 and master branch, it is possible to use conditional macros. For example:

%if 0%{?rhel} && 0%{?rhel} <= 7
Provides:       rubygem(%{gem_name}) = %{version}-%{release}
%endif

Or the Provides can be included unconditionally, as used in many rubygem packages.

Comment 1 Fedora Update System 2017-05-16 04:51:48 UTC
rubygem-rdiscount-2.1.8-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6952bde38d

Comment 2 Fedora Update System 2017-05-16 22:31:48 UTC
rubygem-rdiscount-2.1.8-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6952bde38d

Comment 3 Fedora Update System 2017-05-31 21:28:26 UTC
rubygem-rdiscount-2.1.8-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.